//------------------------------------------------------------------------------ 
//      Copyright (c) 2004, Be Nanashi-San 
// 
//      Permission is hereby granted, free of charge, to any person obtaining a 
//      copy of this software and associated documentation files (the "Software"), 
//      to deal in the Software without restriction, including without limitation 
//      the rights to use, copy, modify, merge, publish, distribute, sublicense, 
//      and/or sell copies of the Software, and to permit persons to whom the 
//      Software is furnished to do so, subject to the following conditions: 
// 
//      The above copyright notice and this permission notice shall be included in 
//      all copies or substantial portions of the Software. 
// 
//      THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
//      IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
//      FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
//      AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
//      LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
//      FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
//      DEALINGS IN THE SOFTWARE. 
// 
//      File Name:	messages.h
//      Author: 	Be Nanashi-San 
//      Description:	 
//------------------------------------------------------------------------------

#ifndef MESSAGES_H_INCLUDED
#define MESSAGES_H_INCLUDED

// File Menu
const unsigned int kMENU_FILE_NEWWINDOW = 'MNEW';
const unsigned int kMENU_FILE_OFFLINE = 'MOFF';

//Edit Menu
const unsigned int kMENU_EDIT_CLEAR = 'MECL';
const unsigned int kMENU_EDIT_FIND = 'MEFD';
const unsigned int kMENU_EDIT_FINDAGAIN = 'MEFG';
const unsigned int kMENU_EDIT_OPENPREFERNCE = 'MEPR';

// Board List Menu
const unsigned int kMENU_BOARDLIST_REFREASH = 'MBRF';
const unsigned int kMENU_BOARDLIST_EXPANDALL = 'MBEA';
const unsigned int kMENU_BOARDLIST_COLLAPSEALL = 'MBCA';

// Thread List Menu
const unsigned int kMENU_THREADLIST_REFREASH = 'MTLR';
const unsigned int kMSG_CLEAR_CACHE = 'MCOC';
const unsigned int kMSG_CLEAR_ALL_CACHE = 'MCAC';

// Thread  Menu
const unsigned int kMENU_THREAD_REFREASH = 'NPRL'; //B_NETPOSITIVE_RELOAD
const unsigned int kMENU_THREAD_JUMP = 'MTJP';
const unsigned int kMENU_THREAD_OPEN_WEBBROWER = 'MTOW';

const unsigned int kMENU_THREAD_GO_TOP100 = 'GOT1';
const unsigned int kMENU_THREAD_GO_LAST100 = 'GOL5';
const unsigned int kMENU_THREAD_GO_PREV100 = 'GOPR';
const unsigned int kMENU_THREAD_GO_NEXT100 = 'GONT';
const unsigned int kMENU_THREAD_SHOW_All = 'MTSA';

// Bookmark Menu
const unsigned int kMENU_BOOKMARK_ADD = 'MBAD';
const unsigned int kMENU_BOOKMARK_SHOW = 'MBSW';
const unsigned int kMSG_BOOKMARK = 'Book';

//help
const unsigned int kMENU_HELP = 'MHLP';

///////////////////////////////////////////////////////////////////
//BoardListView
const unsigned int kMSG_OPEN_BOARD = 'MOBD';

//ThreadListView
const unsigned int kMSG_OPEN_THREAD = 'MOTH';
const unsigned int kMSG_UPDATE_THREADCOUNT = 'uThr';

//Find
const unsigned int kMSG_FIND = 'find';
//Jump
const unsigned int kMSG_JUMP = 'jump';

//未実装ダーヨ
const unsigned int kNOT_INPLEMENTED = 'NINP';

// Status Bar
const unsigned int kMSG_STATUS_MESSAGE = 'SMSG';
const unsigned int kMEG_ONOFF_BUTTON = 'SOOF';
const unsigned int kMEG_WRITE_BUTTON = 'SWRT';

//ThreadWriteWindow
const unsigned int kMSG_CLOSE_WRITE_WINDOW = 'CLWW';

#endif //MESSAGES_H_INCLUDED
