static const float kArrowWidth = 16;
static const float kArrowHeight = 15;

static const uint8 kBlueUpArrow[] = {
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x86, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x86, 0x86, 0x86, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x86, 0x86, 0x86, 0x86, 0x86, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0x0a, 0x86, 0x86, 0x86, 0x86, 0xac, 0xac, 0xac, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x0a, 0x86, 0x86, 0x86, 0x86, 0xac, 0xac, 0xac, 0xac, 0xac, 0x0a, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0x86, 0x86, 0x86, 0x86, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0x0a, 0xff, 
	0xff, 0xff, 0x0a, 0x0a, 0x0a, 0x0a, 0xac, 0xac, 0xac, 0xac, 0xac, 0x0a, 0x0a, 0x0a, 0x0a, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0xac, 0xac, 0xac, 0xac, 0xac, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0xac, 0xac, 0xac, 0xac, 0xac, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0xac, 0xac, 0xac, 0xac, 0xd2, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0xac, 0xac, 0xac, 0xd2, 0xd2, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0xac, 0xac, 0xd2, 0xd2, 0xd2, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0xac, 0xac, 0xd2, 0xd2, 0xd2, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff
};

static const uint8 kYellowEqaulArrow[] = {
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0xe5, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0xe5, 0xe5, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0xe5, 0xe5, 0xe5, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0x0a, 0xfd, 0xfd, 0xfd, 0xfd, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xf9, 0x0a, 0xff, 0xff, 
	0xff, 0x0a, 0xfd, 0xfd, 0xfd, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xf9, 0xf9, 0x0a, 0xff, 
	0xff, 0x0a, 0xfd, 0xfd, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xf9, 0xf9, 0xf9, 0xf9, 0x0a, 
	0xff, 0x0a, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xf9, 0xf9, 0xf9, 0xf9, 0x0a, 0xff, 
	0xff, 0x0a, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xf9, 0xf9, 0xf9, 0xf9, 0x0a, 0xff, 0xff, 
	0xff, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0xf9, 0xf9, 0xf9, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0xf9, 0xf9, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0xf9, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

static const uint8 kRedDownArrow[] = {
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x7b, 0x7b, 0x7b, 0x7b, 0x9c, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x7b, 0x7b, 0x7b, 0x7b, 0x9c, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x7b, 0x7b, 0x7b, 0x9c, 0x9c, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0x0a, 0x0a, 0x0a, 0x7b, 0x7b, 0x9c, 0x9c, 0x9c, 0x0a, 0x0a, 0x0a, 0x0a, 0xff, 
	0xff, 0xff, 0x0a, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x2a, 0x2a, 0x2a, 0x2a, 0x0a, 0xff, 
	0xff, 0xff, 0xff, 0x0a, 0x9c, 0x9c, 0x9c, 0x9c, 0x9c, 0x2a, 0x2a, 0x2a, 0x2a, 0x0a, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0x0a, 0x9c, 0x9c, 0x9c, 0x2a, 0x2a, 0x2a, 0x2a, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x2a, 0x2a, 0x2a, 0x2a, 0x2a, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x2a, 0x2a, 0x2a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x2a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

static const uint8 kGrayBall[] = {
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x0a, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0x0a, 0x0a, 0x14, 0x14, 0x12, 0x12, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x0a, 0x12, 0x14, 0x14, 0x14, 0x14, 0x14, 0x12, 0x12, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x0a, 0x14, 0x14, 0x16, 0x14, 0x14, 0x14, 0x12, 0x12, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0x14, 0x14, 0x16, 0x1a, 0x16, 0x14, 0x14, 0x14, 0x12, 0x12, 0x0a, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0x14, 0x16, 0x1a, 0x1a, 0x1a, 0x16, 0x14, 0x14, 0x12, 0x12, 0x0a, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0x14, 0x14, 0x16, 0x1a, 0x16, 0x14, 0x14, 0x14, 0x12, 0x12, 0x0a, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0x14, 0x14, 0x14, 0x16, 0x14, 0x14, 0x14, 0x12, 0x12, 0x12, 0x0a, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x0a, 0x14, 0x14, 0x14, 0x14, 0x14, 0x14, 0x12, 0x12, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x0a, 0x12, 0x14, 0x14, 0x14, 0x12, 0x12, 0x12, 0x12, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0x0a, 0x0a, 0x12, 0x12, 0x12, 0x12, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x0a, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};
