
const float kImageWidth = 14;
const float kImageHeight = 14;

static const uint8 kYellowBall[] = {
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x0a, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x0a, 0x0a, 0xe5, 0xe5, 0xf9, 0xf9, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0xf9, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xf9, 0xf9, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xf9, 0xf9, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0x0a, 0xe5, 0xe5, 0xe5, 0xfd, 0xe5, 0xe5, 0xe5, 0xe5, 0xf9, 0xf9, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0x0a, 0xe5, 0xe5, 0xfd, 0xfd, 0xfd, 0xe5, 0xe5, 0xe5, 0xf9, 0xf9, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0x0a, 0xe5, 0xe5, 0xe5, 0xfd, 0xe5, 0xe5, 0xe5, 0xe5, 0xf9, 0xf9, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0x0a, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xf9, 0xf9, 0xf9, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xe5, 0xf9, 0xf9, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0xf9, 0xe5, 0xe5, 0xe5, 0xf9, 0xf9, 0xf9, 0xf9, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x0a, 0x0a, 0xf9, 0xf9, 0xf9, 0xf9, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x0a, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

static const uint8 kBlueBall[] = {
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x0a, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x0a, 0x0a, 0xac, 0xac, 0xd2, 0xd2, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0xd2, 0xac, 0xac, 0xac, 0xac, 0xac, 0xd2, 0xd2, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xd2, 0xd2, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0x0a, 0xac, 0xac, 0xac, 0x86, 0xac, 0xac, 0xac, 0xac, 0xd2, 0xd2, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0x0a, 0xac, 0xac, 0x86, 0x86, 0x86, 0xac, 0xac, 0xac, 0xd2, 0xd2, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0x0a, 0xac, 0xac, 0xac, 0x86, 0xac, 0xac, 0xac, 0xac, 0xd2, 0xd2, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0x0a, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xd2, 0xd2, 0xd2, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0xac, 0xac, 0xac, 0xac, 0xac, 0xac, 0xd2, 0xd2, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0xd2, 0xac, 0xac, 0xac, 0xd2, 0xd2, 0xd2, 0xd2, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x0a, 0x0a, 0xd2, 0xd2, 0xd2, 0xd2, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x0a, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};

const uint8 kRedBall[] = {
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x0a, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x0a, 0x0a, 0x7b, 0x7b, 0x9c, 0x9c, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0x9c, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x9c, 0x9c, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x9c, 0x9c, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0x0a, 0x7b, 0x7b, 0x7b, 0x5a, 0x7b, 0x7b, 0x7b, 0x7b, 0x9c, 0x9c, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0x0a, 0x7b, 0x7b, 0x5a, 0x5a, 0x5a, 0x7b, 0x7b, 0x7b, 0x9c, 0x9c, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0x0a, 0x7b, 0x7b, 0x7b, 0x5a, 0x7b, 0x7b, 0x7b, 0x7b, 0x9c, 0x9c, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0x0a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x9c, 0x9c, 0x9c, 0x0a, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x7b, 0x9c, 0x9c, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0x0a, 0x9c, 0x7b, 0x7b, 0x7b, 0x9c, 0x9c, 0x9c, 0x9c, 0x0a, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0x0a, 0x0a, 0x9c, 0x9c, 0x9c, 0x9c, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0x0a, 0x0a, 0x0a, 0x0a, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff
};
